function psp_ch1(f,cl,freq,ch_max,label)
% function to plot coherence in current figure/subplot window
%  psp_ch1(f,cl,freq,ch_max,label)
%  
% Copyright (C) 2002, David M. Halliday.
% This file is part of NeuroSpec.
%
%    NeuroSpec is free software; you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation; either version 2 of the License, or
%    (at your option) any later version.
%
%    NeuroSpec is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with NeuroSpec; if not, write to the Free Software
%    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%
%    NeuroSpec is available at:  http://www.neurospec.org/
%		 Contact:  contact@neurospec.org
%
%  psp_ch1(f,cl,freq,ch_max,label)
%
% f,cl     Output from spectral analysis routine.
% freq     Frequency limit for plotting (Hz).
% ch_max   Maximum value of y axis (Optional).
% label    Optional title instead of cl.what.

freq_pts=round(freq/cl.df);
%Check freq range
[x,y]=size(f);
if (freq_pts>x)
	error('Requested frequency range too large.');
end

f_max=freq_pts*cl.df;
ch_cl=[cl.df,cl.ch_c95;f_max,cl.ch_c95];
plot(f(1:freq_pts,1),f(1:freq_pts,4),'k-',ch_cl(:,1),ch_cl(:,2),'k--');
if (nargin<4)
  axis([0,freq,-Inf,Inf]);
else
  axis([0,freq,0,ch_max]);
end  
if (nargin>4)
  title(label);
else
 title(['coh: ',cl.what]);
end  